<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rl_activity_html"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">
    <FrameLayout
        android:layout_below="@+id/ll_activity_html"
        android:id="@+id/fl_video"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />

    <FrameLayout
        android:layout_below="@+id/ll_activity_html"
        android:id="@+id/view_parent"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scrollbars="none" />
    <LinearLayout
        android:id="@+id/ll_activity_html"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">
        <View
            android:id="@+id/view_statusbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/statusbar_view_height"
            android:background="@color/white"
            android:visibility="gone" />

        <ProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="2dip"
            android:progressDrawable="@drawable/pg_stu" />
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/header_bar_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <View
                android:id="@+id/view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/statusbar_view_height"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/btn_back"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_44"
                android:paddingStart="@dimen/dp_12"
                android:paddingEnd="@dimen/dp_12"
                android:scaleType="center"
                android:src="@drawable/ic_back"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view" />

            <ImageView
                android:visibility="gone"
                android:id="@+id/btn_close"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_44"
                android:paddingStart="@dimen/dp_12"
                android:paddingEnd="@dimen/dp_12"
                android:scaleType="center"
                android:src="@drawable/ic_html_close_stu"
                app:layout_constraintStart_toEndOf="@id/btn_back"
                app:layout_constraintTop_toBottomOf="@id/view" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_90"
                android:layout_marginEnd="@dimen/dp_90"
                android:ellipsize="marquee"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:gravity="center"
                android:paddingStart="@dimen/dp_15"
                android:paddingEnd="@dimen/dp_15"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_18"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view" />

            <TextView
                android:id="@+id/tv_action"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_40"
                android:gravity="center"
                android:paddingEnd="@dimen/dp_15"
                android:text=""
                android:textColor="@color/black"
                android:textSize="@dimen/dp_16"
                android:visibility="invisible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view" />

            <ImageView
                android:id="@+id/iv_action"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_44"
                android:layout_marginEnd="@dimen/dp_10"
                android:scaleType="center"
                android:padding="@dimen/dp_5"
                android:src="@drawable/ic_delete"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>



</RelativeLayout>